{% set request_integration_time = false %}
{% if not pratica.servizio.legacy and (pratica.statusName == 'STATUS_DRAFT_FOR_INTEGRATION') and pratica.richiestaDiIntegrazioneAttiva is defined %}
  {%  set request_integration_time = pratica.richiestaDiIntegrazioneAttiva.createdAt|date('U') %}
{% endif %}
<div class="row">
  <div class="col-md-12">
    {% if not user %}
      <div class="alert alert-info mb-5">{{ 'operatori.messaggi.anonymous' | trans }}</div>
    {% endif %}

    <ul class="messages-list">
      {% for message in pratica.publicMessages %}
        {{ include('Message/message.html.twig', {'request_integration_time': request_integration_time}) }}
      {% endfor %}
    </ul>

    {% if user %}
      <div>
        {{ form_start(messageForm) }}
        {{ form_errors(messageForm) }}
        {{ form_row(messageForm.message, {'attr': {'class': 'summernote'}}) }}

        {% if not pratica.servizio.protocolRequired or pratica.status == constant('STATUS_DRAFT_FOR_INTEGRATION', pratica) %}
          <div class="form-group pb-0 mb-0">
            <label>{{ 'operatori.messaggi.allega_label' | trans }}</label>
            {{ form_row(messageForm.attachments) }}
          </div>
          <div id="vueApp" class="px-2">
            <message_attachments id="upload_message_attachment"></message_attachments>
            <small class="form-text text-muted">{{ 'operatori.messaggi.allega_help' | trans }}</small>
          </div>
        {% endif %}

        <div class="d-flex justify-content-end mt-5">
          <div>{{ form_widget(messageForm.applicant) }}</div>
          <div class="d-none">{{ form_widget(messageForm.internal) }}</div>
        </div>
        {{ form_end(messageForm) }}
      </div>
    {% endif %}
  </div>
</div>
